CONVOLVE(1)

NAME
Convolve - convolve an image with a given kernel

SYNOPSIS
astconvolve [OPTION...] ASTRdata

DESCRIPTION
Convolve is part of GNU Astronomy Utilities 0.18. Convolve will convolve an input image with a given spatial kernel (image) in the spatial domain (no edge effects) or frequency domain. The latter suffers from edge effects, but can be much faster.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Convolve's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astconvolve -P

Inputs/Outputs and options:
    $ info astconvolve

Full section in manual/book:
    $ info Convolve

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Convolve options:

    Input:

-c, --column=STR
    Column name or number if input is a table.

-h, --hdu=STR/INT
    Extension name or number of input data.

-H, --minsharpspec=FLT
    Deconvolution: min spectrum of sharp img.

--kernelcolumn=STR
    Column name or number if kernel is a table.

-k, --kernel=FITS
    File name of kernel for convolution.

--nokernelflip
    Do not flip the kernel image.

--nokernelnorm
    Do not normalize the kernel image.

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

-u, --khdu=STR
    HDU containing the kernel.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

--workoverch
    Work (not tile) over channel edges.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-C, --checkfreqsteps
    View the steps in the frequency domain.

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

--noedgecorrection
    Do not correct the edges in the spatial domain

-o, --output=STR
    Output file name.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

-d, --domain=STR
    Convolution domain: 'spatial', 'frequency'.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-m, --makekernel=INT
    Make 2*INT kernel to create input image.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2022 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Convolve is maintained as a Texinfo manual. If the info and Convolve programs are properly installed at your site, the command

    info Convolve

should give you access to the complete manual.